---
- name: Dependencies installed
  community.general.pkgng:
    name: py38-pip rust
    state: latest

- name: Calibre-Web installed
  shell: "pip install calibreweb"

- name: Calibre-Web immortal file installed
  template:
    src: immortal.yml.j2
    dest: /usr/local/etc/immortal/calibre-web.yml
    owner: root
    mode: 0644
  notify: Immortal restarted
